Subject: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: Heime <[email-masked]>
Date: Wed, 13 Sep 2023 10:41:01 +0000

Any time one wants to write (insert) into a read-only buffer (e.g. *help*), 
one has to make it writable.  Doesn't matter when that time is.  If it's 
read-only you need to make it writable to write into it.

Reading the source for 'with-help-window', it arranges for 'inhibit-read-only' 
to be set to 't' around the call to its body.  Once the body finishes, that 
temporary binding goes out of scope and read-only is in effect again.

The aforementioned resetting  of 'inhibit-read-only' to 't' is an important 
feature that should be included in the docstring for the function 'with-help-window'.